# asposewordscloud
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 18.5.0
- Package version: 18.6
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import asposewordscloud
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import asposewordscloud
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import asposewordscloud
from asposewordscloud.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = asposewordscloud.WordsApi()
name = 'name_example' # str | The document name.
folder = 'folder_example' # str | Original document folder. (optional)
storage = 'storage_example' # str | File storage, which have to be used. (optional)
load_encoding = 'load_encoding_example' # str | Encoding that will be used to load an HTML (or TXT) document if the encoding is not specified in HTML. (optional)
password = 'password_example' # str | Password for opening an encrypted document. (optional)
dest_file_name = 'dest_file_name_example' # str | Result name of the document after the operation. If this parameter is omitted then result of the operation will be saved as the source document. (optional)

try:
    # Accept all revisions in document
    api_response = api_instance.accept_all_revisions(name, folder=folder, storage=storage, load_encoding=load_encoding, password=password, dest_file_name=dest_file_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling WordsApi->accept_all_revisions: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost/v1.1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*WordsApi* | [**accept_all_revisions**](docs/WordsApi.md#accept_all_revisions) | **POST** /words/{name}/revisions/acceptAll | Accept all revisions in document
*WordsApi* | [**classify**](docs/WordsApi.md#classify) | **PUT** /words/classify | Classify raw text.
*WordsApi* | [**classify_document**](docs/WordsApi.md#classify_document) | **GET** /words/{documentName}/classify | Classify document.
*WordsApi* | [**create_or_update_document_property**](docs/WordsApi.md#create_or_update_document_property) | **POST** /words/{name}/documentProperties/{propertyName} | Add new or update existing document property.
*WordsApi* | [**delete_border**](docs/WordsApi.md#delete_border) | **DELETE** /words/{name}/{nodePath}/borders/{index} | Resets border properties to default values.             
*WordsApi* | [**delete_borders**](docs/WordsApi.md#delete_borders) | **DELETE** /words/{name}/{nodePath}/borders | Resets borders properties to default values.             
*WordsApi* | [**delete_comment**](docs/WordsApi.md#delete_comment) | **DELETE** /words/{name}/comments/{commentIndex} | Remove comment from document.
*WordsApi* | [**delete_document_macros**](docs/WordsApi.md#delete_document_macros) | **DELETE** /words/{name}/macros | Remove macros from document.
*WordsApi* | [**delete_document_property**](docs/WordsApi.md#delete_document_property) | **DELETE** /words/{name}/documentProperties/{propertyName} | Delete document property.
*WordsApi* | [**delete_document_watermark**](docs/WordsApi.md#delete_document_watermark) | **DELETE** /words/{name}/watermark | Delete watermark (for deleting last watermark from the document).
*WordsApi* | [**delete_drawing_object**](docs/WordsApi.md#delete_drawing_object) | **DELETE** /words/{name}/{nodePath}/drawingObjects/{index} | Removes drawing object from document.
*WordsApi* | [**delete_field**](docs/WordsApi.md#delete_field) | **DELETE** /words/{name}/{nodePath}/fields/{index} | Delete field from document.
*WordsApi* | [**delete_fields**](docs/WordsApi.md#delete_fields) | **DELETE** /words/{name}/{nodePath}/fields | Remove fields from section paragraph.
*WordsApi* | [**delete_footnote**](docs/WordsApi.md#delete_footnote) | **DELETE** /words/{name}/{nodePath}/footnotes/{index} | Removes footnote from document.
*WordsApi* | [**delete_form_field**](docs/WordsApi.md#delete_form_field) | **DELETE** /words/{name}/{nodePath}/formfields/{index} | Removes form field from document.
*WordsApi* | [**delete_header_footer**](docs/WordsApi.md#delete_header_footer) | **DELETE** /words/{name}/{sectionPath}/headersfooters/{index} | Delete header/footer from document.
*WordsApi* | [**delete_headers_footers**](docs/WordsApi.md#delete_headers_footers) | **DELETE** /words/{name}/{sectionPath}/headersfooters | Delete document headers and footers.
*WordsApi* | [**delete_office_math_object**](docs/WordsApi.md#delete_office_math_object) | **DELETE** /words/{name}/{nodePath}/OfficeMathObjects/{index} | Removes OfficeMath object from document.
*WordsApi* | [**delete_paragraph**](docs/WordsApi.md#delete_paragraph) | **DELETE** /words/{name}/{nodePath}/paragraphs/{index} | Remove paragraph from section.
*WordsApi* | [**delete_run**](docs/WordsApi.md#delete_run) | **DELETE** /words/{name}/{paragraphPath}/runs/{index} | Removes run from document.
*WordsApi* | [**delete_table**](docs/WordsApi.md#delete_table) | **DELETE** /words/{name}/{nodePath}/tables/{index} | Delete a table.
*WordsApi* | [**delete_table_cell**](docs/WordsApi.md#delete_table_cell) | **DELETE** /words/{name}/{tableRowPath}/cells/{index} | Delete a table cell.
*WordsApi* | [**delete_table_row**](docs/WordsApi.md#delete_table_row) | **DELETE** /words/{name}/{tablePath}/rows/{index} | Delete a table row.
*WordsApi* | [**delete_unprotect_document**](docs/WordsApi.md#delete_unprotect_document) | **DELETE** /words/{name}/protection | Unprotect document.
*WordsApi* | [**get_border**](docs/WordsApi.md#get_border) | **GET** /words/{name}/{nodePath}/borders/{index} | Return a border.
*WordsApi* | [**get_borders**](docs/WordsApi.md#get_borders) | **GET** /words/{name}/{nodePath}/borders | Return a collection of borders.
*WordsApi* | [**get_comment**](docs/WordsApi.md#get_comment) | **GET** /words/{name}/comments/{commentIndex} | Get comment from document.
*WordsApi* | [**get_comments**](docs/WordsApi.md#get_comments) | **GET** /words/{name}/comments | Get comments from document.
*WordsApi* | [**get_document**](docs/WordsApi.md#get_document) | **GET** /words/{documentName} | Read document common info.
*WordsApi* | [**get_document_bookmark_by_name**](docs/WordsApi.md#get_document_bookmark_by_name) | **GET** /words/{name}/bookmarks/{bookmarkName} | Read document bookmark data by its name.
*WordsApi* | [**get_document_bookmarks**](docs/WordsApi.md#get_document_bookmarks) | **GET** /words/{name}/bookmarks | Read document bookmarks common info.
*WordsApi* | [**get_document_drawing_object_by_index**](docs/WordsApi.md#get_document_drawing_object_by_index) | **GET** /words/{name}/{nodePath}/drawingObjects/{index} | Read document drawing object common info by its index or convert to format specified.
*WordsApi* | [**get_document_drawing_object_image_data**](docs/WordsApi.md#get_document_drawing_object_image_data) | **GET** /words/{name}/{nodePath}/drawingObjects/{index}/imageData | Read drawing object image data.
*WordsApi* | [**get_document_drawing_object_ole_data**](docs/WordsApi.md#get_document_drawing_object_ole_data) | **GET** /words/{name}/{nodePath}/drawingObjects/{index}/oleData | Get drawing object OLE data.
*WordsApi* | [**get_document_drawing_objects**](docs/WordsApi.md#get_document_drawing_objects) | **GET** /words/{name}/{nodePath}/drawingObjects | Read document drawing objects common info.
*WordsApi* | [**get_document_field_names**](docs/WordsApi.md#get_document_field_names) | **GET** /words/{name}/mailMergeFieldNames | Read document field names.
*WordsApi* | [**get_document_hyperlink_by_index**](docs/WordsApi.md#get_document_hyperlink_by_index) | **GET** /words/{name}/hyperlinks/{hyperlinkIndex} | Read document hyperlink by its index.
*WordsApi* | [**get_document_hyperlinks**](docs/WordsApi.md#get_document_hyperlinks) | **GET** /words/{name}/hyperlinks | Read document hyperlinks common info.
*WordsApi* | [**get_document_paragraph**](docs/WordsApi.md#get_document_paragraph) | **GET** /words/{name}/{nodePath}/paragraphs/{index} | This resource represents one of the paragraphs contained in the document.
*WordsApi* | [**get_document_paragraph_run**](docs/WordsApi.md#get_document_paragraph_run) | **GET** /words/{name}/{paragraphPath}/runs/{index} | This resource represents run of text contained in the document.
*WordsApi* | [**get_document_paragraph_run_font**](docs/WordsApi.md#get_document_paragraph_run_font) | **GET** /words/{name}/{paragraphPath}/runs/{index}/font | This resource represents font of run.
*WordsApi* | [**get_document_paragraph_runs**](docs/WordsApi.md#get_document_paragraph_runs) | **GET** /words/{name}/{paragraphPath}/runs | This resource represents collection of runs in the paragraph.
*WordsApi* | [**get_document_paragraphs**](docs/WordsApi.md#get_document_paragraphs) | **GET** /words/{name}/{nodePath}/paragraphs | Return a list of paragraphs that are contained in the document.
*WordsApi* | [**get_document_properties**](docs/WordsApi.md#get_document_properties) | **GET** /words/{name}/documentProperties | Read document properties info.
*WordsApi* | [**get_document_property**](docs/WordsApi.md#get_document_property) | **GET** /words/{name}/documentProperties/{propertyName} | Read document property info by the property name.
*WordsApi* | [**get_document_protection**](docs/WordsApi.md#get_document_protection) | **GET** /words/{name}/protection | Read document protection common info.
*WordsApi* | [**get_document_statistics**](docs/WordsApi.md#get_document_statistics) | **GET** /words/{name}/statistics | Read document statistics.
*WordsApi* | [**get_document_text_items**](docs/WordsApi.md#get_document_text_items) | **GET** /words/{name}/textItems | Read document text items.
*WordsApi* | [**get_document_with_format**](docs/WordsApi.md#get_document_with_format) | **GET** /words/{name} | Export the document into the specified format.
*WordsApi* | [**get_field**](docs/WordsApi.md#get_field) | **GET** /words/{name}/{nodePath}/fields/{index} | Get field from document.
*WordsApi* | [**get_fields**](docs/WordsApi.md#get_fields) | **GET** /words/{name}/{nodePath}/fields | Get fields from document.
*WordsApi* | [**get_footnote**](docs/WordsApi.md#get_footnote) | **GET** /words/{name}/{nodePath}/footnotes/{index} | Read footnote by index.
*WordsApi* | [**get_footnotes**](docs/WordsApi.md#get_footnotes) | **GET** /words/{name}/{nodePath}/footnotes | Get footnotes from document.
*WordsApi* | [**get_form_field**](docs/WordsApi.md#get_form_field) | **GET** /words/{name}/{nodePath}/formfields/{index} | Returns representation of an one of the form field.
*WordsApi* | [**get_form_fields**](docs/WordsApi.md#get_form_fields) | **GET** /words/{name}/{nodePath}/formfields | Get form fields from document.
*WordsApi* | [**get_header_footer**](docs/WordsApi.md#get_header_footer) | **GET** /words/{name}/headersfooters/{headerFooterIndex} | Return a header/footer that is contained in the document.
*WordsApi* | [**get_header_footer_of_section**](docs/WordsApi.md#get_header_footer_of_section) | **GET** /words/{name}/sections/{sectionIndex}/headersfooters/{headerFooterIndex} | Return a header/footer that is contained in the document.
*WordsApi* | [**get_header_footers**](docs/WordsApi.md#get_header_footers) | **GET** /words/{name}/{sectionPath}/headersfooters | Return a list of header/footers that are contained in the document.
*WordsApi* | [**get_office_math_object**](docs/WordsApi.md#get_office_math_object) | **GET** /words/{name}/{nodePath}/OfficeMathObjects/{index} | Read OfficeMath object by index.
*WordsApi* | [**get_office_math_objects**](docs/WordsApi.md#get_office_math_objects) | **GET** /words/{name}/{nodePath}/OfficeMathObjects | Get OfficeMath objects from document.
*WordsApi* | [**get_section**](docs/WordsApi.md#get_section) | **GET** /words/{name}/sections/{sectionIndex} | Get document section by index.
*WordsApi* | [**get_section_page_setup**](docs/WordsApi.md#get_section_page_setup) | **GET** /words/{name}/sections/{sectionIndex}/pageSetup | Get page setup of section.
*WordsApi* | [**get_sections**](docs/WordsApi.md#get_sections) | **GET** /words/{name}/sections | Return a list of sections that are contained in the document.
*WordsApi* | [**get_table**](docs/WordsApi.md#get_table) | **GET** /words/{name}/{nodePath}/tables/{index} | Return a table.
*WordsApi* | [**get_table_cell**](docs/WordsApi.md#get_table_cell) | **GET** /words/{name}/{tableRowPath}/cells/{index} | Return a table cell.
*WordsApi* | [**get_table_cell_format**](docs/WordsApi.md#get_table_cell_format) | **GET** /words/{name}/{tableRowPath}/cells/{index}/cellformat | Return a table cell format.
*WordsApi* | [**get_table_properties**](docs/WordsApi.md#get_table_properties) | **GET** /words/{name}/{nodePath}/tables/{index}/properties | Return a table properties.
*WordsApi* | [**get_table_row**](docs/WordsApi.md#get_table_row) | **GET** /words/{name}/{tablePath}/rows/{index} | Return a table row.
*WordsApi* | [**get_table_row_format**](docs/WordsApi.md#get_table_row_format) | **GET** /words/{name}/{tablePath}/rows/{index}/rowformat | Return a table row format.
*WordsApi* | [**get_tables**](docs/WordsApi.md#get_tables) | **GET** /words/{name}/{nodePath}/tables | Return a list of tables that are contained in the document.
*WordsApi* | [**insert_table**](docs/WordsApi.md#insert_table) | **PUT** /words/{name}/{nodePath}/tables | Adds table to document, returns added table&#39;s data.             
*WordsApi* | [**insert_table_cell**](docs/WordsApi.md#insert_table_cell) | **PUT** /words/{name}/{tableRowPath}/cells | Adds table cell to table, returns added cell&#39;s data.             
*WordsApi* | [**insert_table_row**](docs/WordsApi.md#insert_table_row) | **PUT** /words/{name}/{tablePath}/rows | Adds table row to table, returns added row&#39;s data.             
*WordsApi* | [**post_append_document**](docs/WordsApi.md#post_append_document) | **POST** /words/{name}/appendDocument | Append documents to original document.
*WordsApi* | [**post_change_document_protection**](docs/WordsApi.md#post_change_document_protection) | **POST** /words/{name}/protection | Change document protection.
*WordsApi* | [**post_comment**](docs/WordsApi.md#post_comment) | **POST** /words/{name}/comments/{commentIndex} | Updates the comment, returns updated comment&#39;s data.
*WordsApi* | [**post_compare_document**](docs/WordsApi.md#post_compare_document) | **POST** /words/{name}/compareDocument | Compare document with original document.
*WordsApi* | [**post_document_execute_mail_merge**](docs/WordsApi.md#post_document_execute_mail_merge) | **POST** /words/{name}/executeMailMerge | Execute document mail merge operation.
*WordsApi* | [**post_document_paragraph_run_font**](docs/WordsApi.md#post_document_paragraph_run_font) | **POST** /words/{name}/{paragraphPath}/runs/{index}/font | Updates font properties, returns updated font data.
*WordsApi* | [**post_document_save_as**](docs/WordsApi.md#post_document_save_as) | **POST** /words/{name}/saveAs | Convert document to destination format with detailed settings and save result to storage.
*WordsApi* | [**post_drawing_object**](docs/WordsApi.md#post_drawing_object) | **POST** /words/{name}/{nodePath}/drawingObjects/{index} | Updates drawing object, returns updated  drawing object&#39;s data.
*WordsApi* | [**post_execute_template**](docs/WordsApi.md#post_execute_template) | **POST** /words/{name}/executeTemplate | Populate document template with data.
*WordsApi* | [**post_field**](docs/WordsApi.md#post_field) | **POST** /words/{name}/{nodePath}/fields/{index} | Updates field&#39;s properties, returns updated field&#39;s data.
*WordsApi* | [**post_footnote**](docs/WordsApi.md#post_footnote) | **POST** /words/{name}/{nodePath}/footnotes/{index} | Updates footnote&#39;s properties, returns updated run&#39;s data.
*WordsApi* | [**post_form_field**](docs/WordsApi.md#post_form_field) | **POST** /words/{name}/{nodePath}/formfields/{index} | Updates properties of form field, returns updated form field.
*WordsApi* | [**post_insert_document_watermark_image**](docs/WordsApi.md#post_insert_document_watermark_image) | **POST** /words/{name}/watermark/insertImage | Insert document watermark image.
*WordsApi* | [**post_insert_document_watermark_text**](docs/WordsApi.md#post_insert_document_watermark_text) | **POST** /words/{name}/watermark/insertText | Insert document watermark text.
*WordsApi* | [**post_insert_page_numbers**](docs/WordsApi.md#post_insert_page_numbers) | **POST** /words/{name}/insertPageNumbers | Insert document page numbers.
*WordsApi* | [**post_load_web_document**](docs/WordsApi.md#post_load_web_document) | **POST** /words/loadWebDocument | Loads new document from web into the file with any supported format of data.
*WordsApi* | [**post_replace_text**](docs/WordsApi.md#post_replace_text) | **POST** /words/{name}/replaceText | Replace document text.
*WordsApi* | [**post_run**](docs/WordsApi.md#post_run) | **POST** /words/{name}/{paragraphPath}/runs/{index} | Updates run&#39;s properties, returns updated run&#39;s data.
*WordsApi* | [**post_split_document**](docs/WordsApi.md#post_split_document) | **POST** /words/{name}/split | Split document.
*WordsApi* | [**post_update_document_bookmark**](docs/WordsApi.md#post_update_document_bookmark) | **POST** /words/{name}/bookmarks/{bookmarkName} | Update document bookmark.
*WordsApi* | [**post_update_document_fields**](docs/WordsApi.md#post_update_document_fields) | **POST** /words/{name}/updateFields | Update (reevaluate) fields in document.
*WordsApi* | [**put_comment**](docs/WordsApi.md#put_comment) | **PUT** /words/{name}/comments | Adds comment to document, returns inserted comment&#39;s data.
*WordsApi* | [**put_convert_document**](docs/WordsApi.md#put_convert_document) | **PUT** /words/convert | Convert document from request content to format specified.
*WordsApi* | [**put_create_document**](docs/WordsApi.md#put_create_document) | **PUT** /words/create | Creates new document. Document is created with format which is recognized from file extensions.  Supported extentions: \&quot;.doc\&quot;, \&quot;.docx\&quot;, \&quot;.docm\&quot;, \&quot;.dot\&quot;, \&quot;.dotm\&quot;, \&quot;.dotx\&quot;, \&quot;.flatopc\&quot;, \&quot;.fopc\&quot;, \&quot;.flatopc_macro\&quot;, \&quot;.fopc_macro\&quot;, \&quot;.flatopc_template\&quot;, \&quot;.fopc_template\&quot;, \&quot;.flatopc_template_macro\&quot;, \&quot;.fopc_template_macro\&quot;, \&quot;.wordml\&quot;, \&quot;.wml\&quot;, \&quot;.rtf\&quot;
*WordsApi* | [**put_document_field_names**](docs/WordsApi.md#put_document_field_names) | **PUT** /words/mailMergeFieldNames | Read document field names.
*WordsApi* | [**put_document_save_as_tiff**](docs/WordsApi.md#put_document_save_as_tiff) | **PUT** /words/{name}/saveAs/tiff | Convert document to tiff with detailed settings and save result to storage.
*WordsApi* | [**put_drawing_object**](docs/WordsApi.md#put_drawing_object) | **PUT** /words/{name}/{nodePath}/drawingObjects | Adds  drawing object to document, returns added  drawing object&#39;s data.
*WordsApi* | [**put_execute_mail_merge_online**](docs/WordsApi.md#put_execute_mail_merge_online) | **PUT** /words/executeMailMerge | Execute document mail merge online.
*WordsApi* | [**put_execute_template_online**](docs/WordsApi.md#put_execute_template_online) | **PUT** /words/executeTemplate | Populate document template with data online.
*WordsApi* | [**put_field**](docs/WordsApi.md#put_field) | **PUT** /words/{name}/{nodePath}/fields | Adds field to document, returns inserted field&#39;s data.
*WordsApi* | [**put_footnote**](docs/WordsApi.md#put_footnote) | **PUT** /words/{name}/{nodePath}/footnotes | Adds footnote to document, returns added footnote&#39;s data.
*WordsApi* | [**put_form_field**](docs/WordsApi.md#put_form_field) | **PUT** /words/{name}/{nodePath}/formfields | Adds form field to paragraph, returns added form field&#39;s data.
*WordsApi* | [**put_header_footer**](docs/WordsApi.md#put_header_footer) | **PUT** /words/{name}/{sectionPath}/headersfooters | Insert to document header or footer.
*WordsApi* | [**put_paragraph**](docs/WordsApi.md#put_paragraph) | **PUT** /words/{name}/{nodePath}/paragraphs | Adds paragraph to document, returns added paragraph&#39;s data.
*WordsApi* | [**put_protect_document**](docs/WordsApi.md#put_protect_document) | **PUT** /words/{name}/protection | Protect document.
*WordsApi* | [**put_run**](docs/WordsApi.md#put_run) | **PUT** /words/{name}/{paragraphPath}/runs | Adds run to document, returns added paragraph&#39;s data.
*WordsApi* | [**reject_all_revisions**](docs/WordsApi.md#reject_all_revisions) | **POST** /words/{name}/revisions/rejectAll | Reject all revisions in document
*WordsApi* | [**render_drawing_object**](docs/WordsApi.md#render_drawing_object) | **GET** /words/{name}/{nodePath}/drawingObjects/{index}/render | Renders drawing object to specified format.
*WordsApi* | [**render_math_object**](docs/WordsApi.md#render_math_object) | **GET** /words/{name}/{nodePath}/OfficeMathObjects/{index}/render | Renders math object to specified format.
*WordsApi* | [**render_page**](docs/WordsApi.md#render_page) | **GET** /words/{name}/pages/{pageIndex}/render | Renders page to specified format.
*WordsApi* | [**render_paragraph**](docs/WordsApi.md#render_paragraph) | **GET** /words/{name}/{nodePath}/paragraphs/{index}/render | Renders paragraph to specified format.
*WordsApi* | [**render_table**](docs/WordsApi.md#render_table) | **GET** /words/{name}/{nodePath}/tables/{index}/render | Renders table to specified format.
*WordsApi* | [**reset_cache**](docs/WordsApi.md#reset_cache) | **DELETE** /words/fonts/cache | Resets font&#39;s cache.
*WordsApi* | [**search**](docs/WordsApi.md#search) | **GET** /words/{name}/search | Search text in document.
*WordsApi* | [**update_border**](docs/WordsApi.md#update_border) | **POST** /words/{name}/{nodePath}/borders/{index} | Updates border properties.             
*WordsApi* | [**update_section_page_setup**](docs/WordsApi.md#update_section_page_setup) | **POST** /words/{name}/sections/{sectionIndex}/pageSetup | Update page setup of section.
*WordsApi* | [**update_table_cell_format**](docs/WordsApi.md#update_table_cell_format) | **POST** /words/{name}/{tableRowPath}/cells/{index}/cellformat | Updates a table cell format.
*WordsApi* | [**update_table_properties**](docs/WordsApi.md#update_table_properties) | **POST** /words/{name}/{nodePath}/tables/{index}/properties | Updates a table properties.
*WordsApi* | [**update_table_row_format**](docs/WordsApi.md#update_table_row_format) | **POST** /words/{name}/{tablePath}/rows/{index}/rowformat | Updates a table row format.


## Documentation For Models

 - [AsposeResponse](docs/AsposeResponse.md)
 - [BookmarkData](docs/BookmarkData.md)
 - [BookmarksOutlineLevelData](docs/BookmarksOutlineLevelData.md)
 - [ClassificationResult](docs/ClassificationResult.md)
 - [CompareData](docs/CompareData.md)
 - [Document](docs/Document.md)
 - [DocumentEntry](docs/DocumentEntry.md)
 - [DocumentEntryList](docs/DocumentEntryList.md)
 - [DocumentPosition](docs/DocumentPosition.md)
 - [DocumentStatData](docs/DocumentStatData.md)
 - [DownsampleOptionsData](docs/DownsampleOptionsData.md)
 - [FootnotesStatData](docs/FootnotesStatData.md)
 - [GraphicsQualityOptionsData](docs/GraphicsQualityOptionsData.md)
 - [Link](docs/Link.md)
 - [LinkElement](docs/LinkElement.md)
 - [LoadWebDocumentData](docs/LoadWebDocumentData.md)
 - [MetafileRenderingOptionsData](docs/MetafileRenderingOptionsData.md)
 - [ModificationOperationResult](docs/ModificationOperationResult.md)
 - [OutlineOptionsData](docs/OutlineOptionsData.md)
 - [PageNumber](docs/PageNumber.md)
 - [PageStatData](docs/PageStatData.md)
 - [ParagraphInsert](docs/ParagraphInsert.md)
 - [PdfDigitalSignatureDetailsData](docs/PdfDigitalSignatureDetailsData.md)
 - [PdfEncryptionDetailsData](docs/PdfEncryptionDetailsData.md)
 - [PreferredWidth](docs/PreferredWidth.md)
 - [ProtectionData](docs/ProtectionData.md)
 - [ProtectionRequest](docs/ProtectionRequest.md)
 - [ReplaceTextRequest](docs/ReplaceTextRequest.md)
 - [SaveOptionsData](docs/SaveOptionsData.md)
 - [SaveResult](docs/SaveResult.md)
 - [SearchResult](docs/SearchResult.md)
 - [SplitDocumentResult](docs/SplitDocumentResult.md)
 - [StoryChildNodes](docs/StoryChildNodes.md)
 - [StringFormatData](docs/StringFormatData.md)
 - [TableCellInsert](docs/TableCellInsert.md)
 - [TableInsert](docs/TableInsert.md)
 - [TableRowInsert](docs/TableRowInsert.md)
 - [WatermarkText](docs/WatermarkText.md)
 - [XmlColor](docs/XmlColor.md)
 - [Bookmark](docs/Bookmark.md)
 - [BookmarkResponse](docs/BookmarkResponse.md)
 - [Bookmarks](docs/Bookmarks.md)
 - [BookmarksResponse](docs/BookmarksResponse.md)
 - [Border](docs/Border.md)
 - [BorderResponse](docs/BorderResponse.md)
 - [BordersCollection](docs/BordersCollection.md)
 - [BordersResponse](docs/BordersResponse.md)
 - [ClassificationResponse](docs/ClassificationResponse.md)
 - [CommentLink](docs/CommentLink.md)
 - [CommentResponse](docs/CommentResponse.md)
 - [CommentsCollection](docs/CommentsCollection.md)
 - [CommentsResponse](docs/CommentsResponse.md)
 - [DocSaveOptionsData](docs/DocSaveOptionsData.md)
 - [DocumentProperties](docs/DocumentProperties.md)
 - [DocumentPropertiesResponse](docs/DocumentPropertiesResponse.md)
 - [DocumentProperty](docs/DocumentProperty.md)
 - [DocumentPropertyResponse](docs/DocumentPropertyResponse.md)
 - [DocumentResponse](docs/DocumentResponse.md)
 - [DrawingObjectCollection](docs/DrawingObjectCollection.md)
 - [DrawingObjectResponse](docs/DrawingObjectResponse.md)
 - [DrawingObjectsResponse](docs/DrawingObjectsResponse.md)
 - [FieldCollection](docs/FieldCollection.md)
 - [FieldNames](docs/FieldNames.md)
 - [FieldNamesResponse](docs/FieldNamesResponse.md)
 - [FieldResponse](docs/FieldResponse.md)
 - [FieldsResponse](docs/FieldsResponse.md)
 - [FileLink](docs/FileLink.md)
 - [FixedPageSaveOptionsData](docs/FixedPageSaveOptionsData.md)
 - [Font](docs/Font.md)
 - [FontResponse](docs/FontResponse.md)
 - [FootnoteCollection](docs/FootnoteCollection.md)
 - [FootnoteResponse](docs/FootnoteResponse.md)
 - [FootnotesResponse](docs/FootnotesResponse.md)
 - [FormFieldCollection](docs/FormFieldCollection.md)
 - [FormFieldResponse](docs/FormFieldResponse.md)
 - [FormFieldsResponse](docs/FormFieldsResponse.md)
 - [HeaderFooterLink](docs/HeaderFooterLink.md)
 - [HeaderFooterLinkCollection](docs/HeaderFooterLinkCollection.md)
 - [HeaderFooterResponse](docs/HeaderFooterResponse.md)
 - [HeaderFootersResponse](docs/HeaderFootersResponse.md)
 - [HtmlSaveOptionsData](docs/HtmlSaveOptionsData.md)
 - [Hyperlink](docs/Hyperlink.md)
 - [HyperlinkResponse](docs/HyperlinkResponse.md)
 - [Hyperlinks](docs/Hyperlinks.md)
 - [HyperlinksResponse](docs/HyperlinksResponse.md)
 - [NodeLink](docs/NodeLink.md)
 - [OdtSaveOptionsData](docs/OdtSaveOptionsData.md)
 - [OfficeMathObjectResponse](docs/OfficeMathObjectResponse.md)
 - [OfficeMathObjectsCollection](docs/OfficeMathObjectsCollection.md)
 - [OfficeMathObjectsResponse](docs/OfficeMathObjectsResponse.md)
 - [OoxmlSaveOptionsData](docs/OoxmlSaveOptionsData.md)
 - [PageSetup](docs/PageSetup.md)
 - [ParagraphLinkCollection](docs/ParagraphLinkCollection.md)
 - [ParagraphLinkCollectionResponse](docs/ParagraphLinkCollectionResponse.md)
 - [ParagraphResponse](docs/ParagraphResponse.md)
 - [ProtectionDataResponse](docs/ProtectionDataResponse.md)
 - [ProtectionResponse](docs/ProtectionResponse.md)
 - [ReplaceTextResponse](docs/ReplaceTextResponse.md)
 - [RevisionsModificationResponse](docs/RevisionsModificationResponse.md)
 - [RtfSaveOptionsData](docs/RtfSaveOptionsData.md)
 - [RunResponse](docs/RunResponse.md)
 - [Runs](docs/Runs.md)
 - [RunsResponse](docs/RunsResponse.md)
 - [SaveResponse](docs/SaveResponse.md)
 - [SearchResponse](docs/SearchResponse.md)
 - [SearchResultsCollection](docs/SearchResultsCollection.md)
 - [Section](docs/Section.md)
 - [SectionLink](docs/SectionLink.md)
 - [SectionLinkCollection](docs/SectionLinkCollection.md)
 - [SectionLinkCollectionResponse](docs/SectionLinkCollectionResponse.md)
 - [SectionPageSetupResponse](docs/SectionPageSetupResponse.md)
 - [SectionResponse](docs/SectionResponse.md)
 - [SplitDocumentResponse](docs/SplitDocumentResponse.md)
 - [StatDataResponse](docs/StatDataResponse.md)
 - [TableCellFormat](docs/TableCellFormat.md)
 - [TableCellFormatResponse](docs/TableCellFormatResponse.md)
 - [TableCellResponse](docs/TableCellResponse.md)
 - [TableLinkCollection](docs/TableLinkCollection.md)
 - [TableLinkCollectionResponse](docs/TableLinkCollectionResponse.md)
 - [TableProperties](docs/TableProperties.md)
 - [TablePropertiesResponse](docs/TablePropertiesResponse.md)
 - [TableResponse](docs/TableResponse.md)
 - [TableRowFormat](docs/TableRowFormat.md)
 - [TableRowFormatResponse](docs/TableRowFormatResponse.md)
 - [TableRowResponse](docs/TableRowResponse.md)
 - [TextItem](docs/TextItem.md)
 - [TextItems](docs/TextItems.md)
 - [TextItemsResponse](docs/TextItemsResponse.md)
 - [TextSaveOptionsData](docs/TextSaveOptionsData.md)
 - [WordMLSaveOptionsData](docs/WordMLSaveOptionsData.md)
 - [WordsApiErrorResponse](docs/WordsApiErrorResponse.md)
 - [WordsApiLink](docs/WordsApiLink.md)
 - [XamlFlowSaveOptionsData](docs/XamlFlowSaveOptionsData.md)
 - [Comment](docs/Comment.md)
 - [DrawingObjectLink](docs/DrawingObjectLink.md)
 - [EpubSaveOptionsData](docs/EpubSaveOptionsData.md)
 - [FieldLink](docs/FieldLink.md)
 - [FootnoteLink](docs/FootnoteLink.md)
 - [FormField](docs/FormField.md)
 - [HeaderFooter](docs/HeaderFooter.md)
 - [HtmlFixedSaveOptionsData](docs/HtmlFixedSaveOptionsData.md)
 - [ImageSaveOptionsData](docs/ImageSaveOptionsData.md)
 - [MhtmlSaveOptionsData](docs/MhtmlSaveOptionsData.md)
 - [OfficeMathLink](docs/OfficeMathLink.md)
 - [Paragraph](docs/Paragraph.md)
 - [ParagraphLink](docs/ParagraphLink.md)
 - [PclSaveOptionsData](docs/PclSaveOptionsData.md)
 - [PdfSaveOptionsData](docs/PdfSaveOptionsData.md)
 - [PsSaveOptionsData](docs/PsSaveOptionsData.md)
 - [RunLink](docs/RunLink.md)
 - [SvgSaveOptionsData](docs/SvgSaveOptionsData.md)
 - [Table](docs/Table.md)
 - [TableCell](docs/TableCell.md)
 - [TableLink](docs/TableLink.md)
 - [TableRow](docs/TableRow.md)
 - [XamlFixedSaveOptionsData](docs/XamlFixedSaveOptionsData.md)
 - [XpsSaveOptionsData](docs/XpsSaveOptionsData.md)
 - [BmpSaveOptionsData](docs/BmpSaveOptionsData.md)
 - [DrawingObject](docs/DrawingObject.md)
 - [EmfSaveOptionsData](docs/EmfSaveOptionsData.md)
 - [Field](docs/Field.md)
 - [Footnote](docs/Footnote.md)
 - [FormFieldCheckbox](docs/FormFieldCheckbox.md)
 - [FormFieldDropDown](docs/FormFieldDropDown.md)
 - [FormFieldTextInput](docs/FormFieldTextInput.md)
 - [GifSaveOptionsData](docs/GifSaveOptionsData.md)
 - [JpegSaveOptionsData](docs/JpegSaveOptionsData.md)
 - [OfficeMathObject](docs/OfficeMathObject.md)
 - [PngSaveOptionsData](docs/PngSaveOptionsData.md)
 - [Run](docs/Run.md)
 - [TiffSaveOptionsData](docs/TiffSaveOptionsData.md)


## Documentation For Authorization


## appsid

- **Type**: API key
- **API key parameter name**: Appsid
- **Location**: URL query string

## oauth

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: localhost/oauth2/token
- **Scopes**: N/A

## signature

- **Type**: API key
- **API key parameter name**: Signature
- **Location**: URL query string


## Author



